curl --request POST \
--url https://api.getcortexapp.com/api/v1/eng-intel/labels/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userLabelAssignments": "\n {\n \"user@email.com\": [\n {\"id\": \"ul2da8159dbeefb974\", \"name\": \"Coding Language\", \"value\": \"Java\"},\n {\"id\": \"ul2da8159234bsdfas\", \"name\": \"Engineering Level\", \"value\": \"Senior\"}\n ],\n \"another_user@email.com\": [\n {\"id\": \"ul2da8159dbeefb974\", \"name\": \"Coding Language\", \"value\": \"Typescript\"},\n ]\n }\n "
}
'import requests
url = "https://api.getcortexapp.com/api/v1/eng-intel/labels/users"
payload = { "userLabelAssignments": "
{
\"user@email.com\": [
{\"id\": \"ul2da8159dbeefb974\", \"name\": \"Coding Language\", \"value\": \"Java\"},
{\"id\": \"ul2da8159234bsdfas\", \"name\": \"Engineering Level\", \"value\": \"Senior\"}
],
\"another_user@email.com\": [
{\"id\": \"ul2da8159dbeefb974\", \"name\": \"Coding Language\", \"value\": \"Typescript\"},
]
}
" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userLabelAssignments: '\n {\n "user@email.com": [\n {"id": "ul2da8159dbeefb974", "name": "Coding Language", "value": "Java"},\n {"id": "ul2da8159234bsdfas", "name": "Engineering Level", "value": "Senior"}\n ],\n "another_user@email.com": [\n {"id": "ul2da8159dbeefb974", "name": "Coding Language", "value": "Typescript"},\n ]\n }\n '
})
};
fetch('https://api.getcortexapp.com/api/v1/eng-intel/labels/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userLabelAssignments": {}
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}Update user label assignments
Assign user label values to user emails in bulk.
API key must have the Edit user labels permission.
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Body
Map of user email to the list of user label values that should be assigned to the user
Show child attributes
Show child attributes
"\n {\n \"user@email.com\": [\n {\"id\": \"ul2da8159dbeefb974\", \"name\": \"Coding Language\", \"value\": \"Java\"},\n {\"id\": \"ul2da8159234bsdfas\", \"name\": \"Engineering Level\", \"value\": \"Senior\"}\n ],\n \"another_user@email.com\": [\n {\"id\": \"ul2da8159dbeefb974\", \"name\": \"Coding Language\", \"value\": \"Typescript\"},\n ]\n }\n "
Response
Successfully updated user label assignments
Map of user email to the list of assigned user label values
Show child attributes
Show child attributes